<div class="context">
  <div class="title-page">Messages</div>
  <mat-divider></mat-divider>
  <ng-container *ngIf="messages$ |async as messages">
  <ng-container *ngIf="messages==null || messages.length==0">
    <div class="sub-title pt-4">
      Not found any conversation...
    </div>
  </ng-container>

  <ng-container *ngIf="loading |async">
    <div class="pt-4">
      <mat-spinner></mat-spinner>
    </div>
  </ng-container>



    <div *ngFor="let m of messages">
          <app-conv-item-list [receiverName]="m.receiverData.name" [receiverLastName]="m.receiverData.lastName"
                              [message]="m.lastMessage" (click)="goToExpandConv(m.receiverId)"></app-conv-item-list>
    </div>
  </ng-container>
</div>
